#include <Inet.au3>
#include <Array.au3>
#include <String.au3>
#include <Misc.au3>
#RequireAdmin

_Singleton("AutoIt from Browser")

If Not IsArray($CMDLINE) Then Exit
If @Compiled Then
	If UBound($CMDLINE, 1) < 2 Then Exit
EndIf
Global $aSplit = StringSplit($CMDLINE[1], "|")
If Not IsArray($aSplit) Then Exit

Global $sFilePath = @ScriptDir & "\code.au3"

OnAutoItExitRegister("_exit")
Opt("GuiOnEventMode", 1)

Global $hGui = GUICreate("AutoIt from Browser", 200, 75, Default, Default, 0x00080000)
GUISetBkColor(0x0000FF, $hGui)
GUICtrlSetDefColor(0xFFFFFF, $hGui)
GUICtrlSetDefBkColor(0x2020FF, $hGui)
GUICtrlCreateButton("ffnen", 0, 0, 100, 50)
GUICtrlSetOnEvent(-1, "_open")
GUICtrlCreateButton("Ausfhren", 100, 0, 100, 50)
GUICtrlSetOnEvent(-1, "_run")
GUISetOnEvent(-3, "_exit", $hGui)
GUISetState(@SW_SHOW, $hGui)
GUISetState(@SW_DISABLE, $hGui)

TrayTip("Suche...", "Suche Code online... .", 5000)

Global $iNumber = StringReplace($aSplit[1], "au3fb://", "") - 1
Global $sSource = _INetGetSource($aSplit[2])
$sBetween = _StringBetween($sSource, '<td class="codeLines container-4">', '</td>')

Global $aResult[UBound($sBetween, 1) / 2]

$iCounter = 0
For $i = 1 To UBound($sBetween, 1) - 1 Step 2
	$aResult[$iCounter] = StringReplace($sBetween[$i], '<pre>', '')
	$aResult[$iCounter] = StringReplace($aResult[$iCounter], '</pre>', '')
	$aResult[$iCounter] = StringReplace($aResult[$iCounter], '</a>', '')
	$aResult[$iCounter] = StringReplace($aResult[$iCounter], '</span>', '')
	$aResult[$iCounter] = StringRegExpReplace($aResult[$iCounter], '<a style=(.+?)>', '')
	$aResult[$iCounter] = StringRegExpReplace($aResult[$iCounter], '<span style=(.+?)>', '')
	$aResult[$iCounter] = StringReplace($aResult[$iCounter], '&quot;', '"')
	$aResult[$iCounter] = StringReplace($aResult[$iCounter], '&amp;', '&')
	$aResult[$iCounter] = StringReplace($aResult[$iCounter], '&lt;', '<')
	$aResult[$iCounter] = StringReplace($aResult[$iCounter], '&gt;', '>')
	$aResult[$iCounter] = StringReplace($aResult[$iCounter], Chr(196), '')
	$aResult[$iCounter] = StringReplace($aResult[$iCounter], 'Ö', '')
	$aResult[$iCounter] = StringReplace($aResult[$iCounter], Chr(220), '')
	$aResult[$iCounter] = StringReplace($aResult[$iCounter], 'ä', '')
	$aResult[$iCounter] = StringReplace($aResult[$iCounter], 'ö', '')
	$aResult[$iCounter] = StringReplace($aResult[$iCounter], 'ü', '')
	$aResult[$iCounter] = StringReplace($aResult[$iCounter], 'ß', '')
	$aResult[$iCounter] = StringStripWS($aResult[$iCounter], 1)
	$iCounter += 1
Next

$hFile = FileOpen($sFilePath, 2)
FileWrite($hFile, $aResult[$iNumber])
FileClose($hFile)
TrayTip("Gefunden", "Code online gefunden.", 1000)
GUISetState(@SW_ENABLE, $hGui)

While Sleep(10)
WEnd

Func _open()
	ShellExecute($sFilePath)
EndFunc   ;==>_open

Func _run()
	Run(@AutoItExe & ' /AutoIt3ExecuteScript "' & $sFilePath & '"')
EndFunc   ;==>_run

Func _exit()
	FileDelete($sFilePath)
	Exit
EndFunc   ;==>_exit
